Loading...
Searching...
No Matches
MultiFile.h File Reference
`#include <casacore/casa/aips.h>`
`#include <casacore/casa/IO/MultiFileBase.h>`
`#include <memory>`

Go to the source code of this file.

## Classes

class | casacore::MultiFile
| More...

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines

## Functions

void | casacore::doOpenFile (MultiFileInfo &) override
| Do the class-specific actions on opening a file.
void | casacore::doCloseFile (MultiFileInfo &) override
| Do the class-specific actions on closing a file.
void | casacore::doAddFile (MultiFileInfo &) override
| Do the class-specific actions on adding a file.
void | casacore::doDeleteFile (MultiFileInfo &) override
| Do the class-specific actions on deleting a file.
void | casacore::doTruncateFile (MultiFileInfo &info, uInt64 nrblk) override
| Truncate the file to nrblk blocks.
void | casacore::doFlushFile () override
| Flush the file itself.
void | casacore::close () override
| Flush and close the file.
void | casacore::writeHeader () override
| Write the header info.
void | casacore::readHeader (Bool always=True) override
| Read the header info.
void | casacore::extend (MultiFileInfo &info, Int64 lastblk) override
| Extend the virtual file to fit lastblk.
void | casacore::storeCRC (const void *buffer, Int64 blknr)
| Store the CRC of a data block in the index.
void | casacore::checkCRC (const void *buffer, Int64 blknr) const
| Check the CRC of a data block read.
uInt | casacore::calcCRC (const void *buffer, Int64 size) const
| Calculate the CRC of a data block.
virtual void | casacore::extendVF (MultiFileInfo &info, Int64 lastblk, Bool useFreeBlocks)
| Extend the virtual file to fit lastblk.
void | casacore::writeBlock (MultiFileInfo &info, Int64 blknr, const void *buffer) override
| Write a data block.
void | casacore::readBlock (MultiFileInfo &info, Int64 blknr, void *buffer) override
| Read a data block.
void | casacore::readHeaderVersion1 (Int64 headerSize, std::vector< char > &buf)
| Read the version 1 header.
void | casacore::readHeaderVersion2 (std::vector< char > &buf)
| Read the version 2 and higher header.

## Variables

MultiFileInfo | casacore::itsHdrCont [2]
| Define two continuation sets where the header overflow can be stored.
uInt | casacore::itsNrContUsed [2]
uInt | casacore::itsHdrContInx
Bool | casacore::itsUseCRC
std::vector< uInt > | casacore::itsCRC
std::unique_ptr< ByteIO > | casacore::itsIO